﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="default.aspx.cs" Inherits="_default" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>Setting RadGrid height with Javascript</title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
<form id="form1" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server" />

<h1>Setting RadGrid height with Javascript</h1>

<telerik:RadSlider ID="RadSlider1" runat="server" ItemType="Tick" Width="400px" Height="40px"
	SmallChange="10" LargeChange="50" MinimumValue="100" MaximumValue="400" Value="200"
	TrackPosition="BottomRight"	OnClientValueChange="applyHeight" LiveDrag="false" />


<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
<script type="text/javascript">

function applyHeight(sender, args)
{
	var grid;
	
	// set height to the whole RadGrid control
	grid = $find("<%= RadGrid1.ClientID %>");
	grid.get_element().style.height = args.get_newValue() + "px";
	grid.repaint();
		
	// set height to the scrollable area only
	grid = $find("<%= RadGrid2.ClientID %>");
	grid.GridDataDiv.style.height = args.get_newValue() + "px";
	
	grid = $find("<%= RadGrid3.ClientID %>");
	grid.GridDataDiv.style.height = args.get_newValue() + "px";
	
	grid = $find("<%= RadGrid4.ClientID %>");
	grid.get_element().style.height = args.get_newValue() + "px";
}

</script>
</telerik:RadCodeBlock>


<div class="box">

<h2>Set height to the whole control (<span>UseStaticHeaders="true"</span>)</h2>

<telerik:RadGrid
	ID="RadGrid1"
	runat="server"
	Height="200px"
	OnNeedDataSource="RadGrid_NeedDataSource">
	<ClientSettings>
		<Scrolling AllowScroll="true" UseStaticHeaders="true" />
	</ClientSettings>
	<MasterTableView TableLayout="Fixed" />
</telerik:RadGrid>

</div>


<div class="box">

<h2>Set height to the scrollable area only (<span>UseStaticHeaders="true"</span>)</h2>

<telerik:RadGrid
	ID="RadGrid2"
	runat="server"
	style="overflow:hidden"
	OnNeedDataSource="RadGrid_NeedDataSource">
	<ClientSettings>
		<Scrolling AllowScroll="true" UseStaticHeaders="true" ScrollHeight="200px" />
	</ClientSettings>
	<MasterTableView TableLayout="Fixed" />
</telerik:RadGrid>

</div>


<div class="box">

<h2>Set height to the scrollable area (<span>UseStaticHeaders="false"</span>)</h2>

<telerik:RadGrid
	ID="RadGrid3"
	runat="server"
	OnNeedDataSource="RadGrid_NeedDataSource">
	<ClientSettings>
		<Scrolling AllowScroll="true" UseStaticHeaders="false" ScrollHeight="200px" />
	</ClientSettings>
	<MasterTableView TableLayout="Fixed" />
</telerik:RadGrid>

</div>


<div class="box">

<h2>Set height to the whole control (<span>AllowScroll="false"</span>)</h2>

<telerik:RadGrid
	ID="RadGrid4"
	runat="server"
	Height="200px"
	AllowPaging="true"
	PageSize="4"
	OnNeedDataSource="RadGrid_NeedDataSource">
	<ClientSettings>
		<Scrolling AllowScroll="false" />
	</ClientSettings>
	<MasterTableView TableLayout="Fixed" Height="100%" />
	<PagerStyle Mode="NextPrev" />
</telerik:RadGrid>

<p>Generally, this scenario doesn't make much sense, as the RadGrid rows expand and shrink,
	which doesn't look good. Moreover, tables cannot shrink vertically beyond the height of their content,
	which may force the table to overflow out of its parent.</p>

</div>


</form>
</body>
</html>